JavaScript client for graphql-ruby
An javascript implementation of the Rapid Automated Keyword Extraction (RAKE) algorithm. Forked from https://github.com/sleepycat/rapid-automated-keyword-extraction
Migrations tool for Postgresql DB
A NodeJS implementation of the Rapid Automatic Keyword Extraction algorithm.
Execute shell command forwarding all stdio.
A NodeJS implementation of the Rapid Automatic Keyword Extraction algorithm.
Update shared config for Shuttlerock's projects.
An opinionated `shellscript` formatter plugin for Prettier, also support simple format of `Dockerfile`, `properties`, `gitignore`, `dotenv`, `hosts`, `jvmoptions`...
A WASM shell parser and formatter with bash support, based on mvdan/sh
A pure JS implementation of the Rapid Automated Keyword Extraction (RAKE) algorithm.
Adds a static `extend` method to a class, to simplify inheritance. Extends the static properties, prototype properties, and descriptors from a `Parent` constructor onto `Child` constructors.
Fast, disk space efficient package manager
A pure JS implementation of the Rapid Automated Keyword Extraction (RAKE) algorithm.
Copy a descriptor from object A to object B
A fabulous iconset packaged as a font
Scan for NOTE, OPTIMIZE, TODO, HACK, XXX, FIXME, and BUG comments within your source, and print them to stdout so you can deal with them.
Three.js / React Three Fiber zen garden building blocks (thin re-export layer over zen-sand-rake until split).
Scarf is like Google Analytics for your npm packages. Gain insights into how your packages are installed and used, and by which companies.
A robust HTML entities encoder/decoder with full Unicode support.
Terminal and Web console for Kubernetes
Easily get the CWD (current working directory) of a project based on package.json, optionally starting from a given path. (node.js/javascript util)
Here JavaScript API
Resolve Node.js version aliases like 'latest', 'lts' or 'erbium'
Developer-friendly & type-safe Typescript SDK specifically catered to leverage [Polar](https://polar.sh) API.
Rake-sh is The Rake Shell.
# mdtoc - Markdown Table of Contents Read Markdown files and output a table of contents. ## Installation Requirements: * [Ruby](https://www.ruby-lang.org/en/) (see [.ruby-version](./.ruby-version)) ```bash gem install mdtoc ``` ## Usage ```bash mdtoc --help Usage: mdtoc [options] files or directories... -h, --help Show this message -o, --output PATH Update a table of contents in the file at PATH -a, --[no-]append Append to the --output file if a <!-- mdtoc --> tag isn't found -c, --[no-]create Create the --output file if it does not exist ``` 1. Add a `<!-- mdtoc -->` tag to a Markdown file. ```bash echo '<!-- mdtoc -->' >> README.md ``` 2. Run `mdtoc` and specify input files or directories (eg. the "test/samples" directory) and an output file (eg. "README.md"). ```bash mdtoc -aco README.md test/samples ``` ## Example Rakefile Create a `Rakefile` with the contents below, then run [`rake`](https://github.com/ruby/rake) to: * `git pull` * `git add` any `*.md` files * Run `mdtoc` to update the generated table of contents in the ./README.md file * Git commit and push any changes ```ruby task default: %w[mdtoc] desc 'Update Markdown table of contents and push changes to the git repository' task :mdtoc do command = <<~CMD set -e if [ -n "$(git diff --name-only --diff-filter=U)" ]; then echo 'Error: conflicts exist' >&2 exit 1 fi mdtoc --append --create --output README.md docs/ git add *.md **/*.md git commit -qm 'Update TOC' || true git pull git push CMD sh command, verbose: false do |ok, status| unless ok fail "Failed with status: #{status.exitstatus}" end end end ``` See [andornaut/til](https://github.com/andornaut/til/blob/master/Rakefile) for an example. ## Development ### Setup Requirements: * [Bundler](https://bundler.io/) * [chruby](https://github.com/postmodern/chruby) (recommended) ```bash # Setup development environment bin/setup ``` ### Tasks ```bash # List rake tasks rake -T rake build # Build gem into the pkg directory rake default # Run the build, rubocop, sorbet and test tasks rake install # Build and install gem into system gems rake rubocop # Run RuboCop rake sorbet # Run the Sorbet type checker rake test # Run tests # Run mdtoc with test inputs ruby -Ilib bin/mdtoc test/samples # Run mdtoc with test inputs, and write to a newly created output file f=$(mktemp) && ruby -Ilib bin/mdtoc -aco ${f} test/samples ; cat ${f} ``` ### Publishing 1. Bump version in `lib/mdtoc/version.rb` 2. Run `bundle install` to update `Gemfile.lock` 3. Commit the changes 4. Run `rake release` to publish the gem to RubyGems, create the git tag, and push
Contentful API wrapper library exposing an ActiveRecord-like interface